mars.h File Reference

Classes for the MARS block cipher (IBM AES submission) More...

Go to the source code of this file.

## Classes

struct | MARS_Info
| MARS block cipher information. More...
class | MARS
| MARS block cipher. More...

## Typedefs

typedef MARS::Encryption | MARSEncryption
typedef MARS::Decryption | MARSDecryption

## Detailed Description

Classes for the MARS block cipher (IBM AES submission)

Since
  Crypto++ 3.0

Definition in file mars.h.

## Typedef Documentation

## MARSEncryption

typedef MARS::Encryption MARSEncryption

Definition at line 55 of file mars.h.

## MARSDecryption

typedef MARS::Decryption MARSDecryption

Definition at line 56 of file mars.h.